package com.wteam;

import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.ansi.AnsiOutput;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cache.annotation.EnableCaching;

/**
 * 基础API
 *
 * @author Chopper
 * @since 2020/11/17 3:38 下午
 */
@EnableCaching
@SpringBootApplication
public class CommonApiApplication {

    public static void main(String[] args) {
//        System.setProperty("rocketmq.client.logUseSlf4j","true");
        AnsiOutput.setEnabled(AnsiOutput.Enabled.ALWAYS);
        new SpringApplicationBuilder(CommonApiApplication.class)//
                .bannerMode(Banner.Mode.CONSOLE)// 控制台打印
                .run(args);    }

}
